Package twisted :: Package protocols :: Module dns :: Class DNSDatagramProtocol

[show private | hide private]
[frames | no frames]

## Class DNSDatagramProtocol

    DatagramProtocol --+
                       |
                      DNSDatagramProtocol

Method Summary
| `__init__(self, controller)`
| `__getstate__(self)`
| `datagramReceived(self, data, addr)`
| `pickID(self)`
`Deferred` | ``query`(self, address, queries, timeout, reissue)` Send out a message with the given queries.
| `writeMessage(self, message, address)`

Class Variable Summary
`None` | `id`
`None` | `liveMessages`
`int` | `reissue`
`int` | `timeout`

Method Details

### query(self, address, queries, timeout=None, reissue=None)

Send out a message with the given queries.

  Parameters:
    `address` - The address to which to send the query
    (type=`tuple` of `str` and `int`)
    `queries` - The queries to transmit
    (type=`list` of `Query` instances)
  Returns:
    `Deferred`

Class Variable Details

### id

  Type:
    `None`
  Value:

        None

### liveMessages

  Type:
    `None`
  Value:

        None

### reissue

  Type:
    `int`
  Value:

        2

### timeout

  Type:
    `int`
  Value:

        10

Generated by Epydoc 1.1 on Sat Feb 15 21:17:57 2003 | http://epydoc.sf.net